Subject: bug#33248: python-minimal compilation is breaking

From: <[email-masked]>
Date: Sat, 3 Nov 2018 10:50:35 +0100 (CET)

Sorry, I do not authorize in berlin, cause I have read only one line here http://mirror.hydra.gnu.org <http://mirror.hydra.gnu.org/> and just changed url in --substitute-urls option to berlin. 

How to prevent test_socket running?  Can we use own scm ?
Does guix put cache files somewhere and I can modify them? 
Need more graphical info about guix functions. This might be helpful for me to find solutions while server maintenance, guix daemons' week-end.

3. Nov 2018 12:09 by [email-masked] <mailto:[email-masked]>:

>
> Gábor Boskovits <> [email-masked] <mailto:[email-masked]>> > writes:
>
>> <>> [email-masked] <mailto:[email-masked]>>> > ezt írta (időpont: 2018. nov. 3., Szo 7:13):
>>
>>> I am watching this bug on Lenovo G50-30 (CPU 2.1 GHz, 2Gb Ram):
>>>
>>> # guix pull  --substitute-urls=>>> https://berlin.guixsd.org <https://berlin.guixsd.org>
>>> Updating channel 'guix' from Git repository at '
>>> https://git.savannah.gnu.org/git/guix.git' <https://git.savannah.gnu.org/git/guix.git'>>>> ...
>>> Building from this channel:
>>>   guix      >>> https://git.savannah.gnu.org/git/guix.git <https://git.savannah.gnu.org/git/guix.git>>>>     3995e85
>>> Computing Guix derivation for 'x86_64-linux'... \
>>> nothing to be done
>>>
>>> # guix package  --substitute-urls=>>> https://berlin.guixsd.org <https://berlin.guixsd.org>>>>  -u
>>> substitute: updating substitutes from '>>> https://berlin.guixsd.org <https://berlin.guixsd.org>>>> '...
>>> 100.0%
>>> substitute: updating substitutes from '>>> https://berlin.guixsd.org <https://berlin.guixsd.org>>>> '...
>>> 100.0%
>>> building
>>> /gnu/store/6c4g38n9fhvnlk2vasn34mdd6nvpgx8m-python-minimal-3.6.5.drv...
>>> /Killed
>>> #
>>>
>>> Python-minimal cannot compile.
>>>
>>
>> Most probably you are hitting a resource limit, I guess ram. Do you have
>> any swap?
>
> I think I've hit the same problem, I tried with 32GB of RAM, along with
> 60GB of swap, and it still didn't work.
>
> There is a bug here describing it as a memory link [1], which is a
> better theory I think.
>
> 1: > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33213 <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33213>